# Integration Testing

## Start the executors

The integration-tests directory contains a `docker-compose.yml` defining three executors.

These executors can be started by running `docker-compose up` and can be terminated by running `docker-compose down`.

```
version: '2.0'
services:
  ballista-rust:
    image: ballistacompute/ballista-rust
    ports:
      - "50051:50051"
    volumes:
      - /mnt/nyctaxi:/mnt/nyctaxi
  ballista-jvm:
    image: ballistacompute/ballista-jvm
    ports:
      - "50052:50051"
    volumes:
      - /mnt/nyctaxi:/mnt/nyctaxi
  ballista-spark:
    image: ballistacompute/ballista-spark
    ports:
      - "50053:50051"
    volumes:
      - /mnt/nyctaxi:/mnt/nyctaxi
```

## Run the tests

Currently, there is a single integration test, implemented in Rust. The test relies on the [NYC Taxi](nyctaxi.md) data 
already existing locally.

```bash
cd rust
cargo run
```
